## com.thingmagic
Class Gen2.BlockPermaLock

    java.lang.Object
      com.thingmagic.TagOp
          com.thingmagic.Gen2.BlockPermaLock

Enclosing class:
  Gen2

    public static class Gen2.BlockPermaLock

extends TagOp

Block PermaLock

Field Summary
`Gen2.Bank` `Bank` the tag memory bank to write to
`int` `BlockPtr` the starting word address to lock
`byte` `BlockRange` the number 16 blocks
`short[]` `Mask` the Mask
`byte` `ReadLock` Read or Lock ??

Constructor Summary
`Gen2.BlockPermaLock(Gen2.Bank bank, byte readLock, int blockPtr, byte blockRange, short[] mask)` Constructor to initialize parameters of Block

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Bank

    public Gen2.Bank Bank

  the tag memory bank to write to

### ReadLock

    public byte ReadLock

  Read or Lock ??

### BlockPtr

    public int BlockPtr

  the starting word address to lock

### BlockRange

    public byte BlockRange

  the number 16 blocks

### Mask

    public short[] Mask

  the Mask

Constructor Detail

### Gen2.BlockPermaLock

    public Gen2.BlockPermaLock(Gen2.Bank bank,
                               byte readLock,
                               int blockPtr,
                               byte blockRange,
                               short[] mask)

  Constructor to initialize parameters of Block

  Parameters:
    `bank` - The tag memory bank to write to
    `blockPtr` - Starting Address of the blocks to operate
    `blockRange` - Number of 16 blocks
    `mask` - The mask